Bug 109240 - readline crashes when pasting large amount of data in UTF-8
readline crashes when pasting large amount of data in UTF-8
Product: Fedora
Classification: Fedora
Component: readline (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2003-11-05 17:56 EST by Pekka Pietikäinen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.3-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-06 07:13:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pekka Pietikäinen 2003-11-05 17:56:17 EST
Description of problem:

Version-Release number of selected component (if applicable):


How reproducible:


cut'n'paste say 10k of data (ls -l | awk '{print $5}' | tr '\n' '+' :-) )

watch text slowly (see bug #70036, which might be worth telling the
maintainer about unless he already knows) appear on screen and bc segfault

This has been fixed upstream in readline43-003

(ftp://ftp.cwru.edu/pub/bash/readline-4.3-patches/ ).

There are also some other patches in there that might be worth 
Comment 1 Tim Waugh 2003-11-06 07:13:54 EST
Should be fixed in 4.3-8.

Note You need to log in before you can comment on or make changes to this bug.